KDESVN(1)

NAMN
kdesvn - En Subversion-klient för KDE (fristående program)

SYNOPSIS

kdesvn [Qt-väljare] [KDE-väljare] [väljare] exec <kommando> [webbadress]

BESKRIVNING

En Subversion-klient för KDE (fristående program)

VÄLJARE

  Argument:

exec <kommando>
    Kör Subversion-kommando ("exec help" för mer information, visar KDE:s hjälpcentral)

webbadress
    Sökväg till lokal arbetskopia eller ett arkiv.

  Väljare:

-r startver[:endver]
    Kör ett enstaka Subversion-kommando för en specifik version (eller intervall)

-R
    Fråga efter version när enstaka kommando utförs

-f
    Tvinga åtgärd

-o <fil>
    Spara utmatning från Subversion-kommando (t.ex. "cat") i filen <fil>

-l <nummer>
    Begränsa loggutmatning till <nummer>

  Allmänna väljare:

--help
    Visa hjälp om väljare

--help-qt
    Visa Qt-specifika väljare

--help-kde
    Visa KDE-specifika väljare

--help-all
    Visa alla väljare

--author
    Visa information om upphovsman

-v, --version
    Visa versionsinformation

--license
    Visa licensinformation

--
    Slut på väljare

  KDE-väljare:

--caption <titel>
    Använd "titel" som namn i namnlisten

--icon <ikon>
    Använd "ikon" som programmets ikon

--config <filnamn>
    Använd alternativ inställningsfil

--nocrashhandler
    Inaktivera kraschhanteraren, för att få minnesdumpar

--waitforwm
    Väntar på en WM_NET-kompatibel fönsterhanterare

--style <stil>
    anger programmets grafiska gränssnitt

--geometry <geometri>
    ställer in klientgeometrin för den grafiska huvudkomponenten. Se man X för argumentformatet

  Qt-väljare:

--display <skärmnamn>
    Använd skärmen "skärmnamn" på X-servern

--session <sessions-id>
    Återställ programmet för givet "sessionsid"

--cmap
    Gör att programmet installerar en privat färgavbildning på en 8-bitarsskärm

--ncols <antal>
    Begränsar antal färger som används i färgkuben på en 8-bitarsskärm, om programmet använder färgspecifikationen QApplication::ManyColor

--nograb
    anger att Qt aldrig ska ta över musen eller tangentbordet

--dograb
    att köra inne i en avlusare kan ge upphov till en underförstådd väljare -nograb, använd -dograb för att överskrida den.

--sync
    byter till synkront läge för felsökning

--fn, --font <teckensnitt>
    definierar programmets teckensnitt

--bg, --background <färg>
    ställer in förvald bakgrundsfärg och en programpalett (ljusa och mörka nyanser beräknas)

--fg, --foreground <färg>
    anger den förvalda förgrundsfärgen

--btn, --button <färg>
    anger den förvalda knappfärgen

--name <namn>
    anger programmets namn

--title <titel>
    anger programmets titel (rubrik)

--visual TrueColor
    tvingar programmet att använda TrueColor på en 8-bitarsskärm

--inputstyle <inmatningsstil>
    väljer inmatningsstilen XIM (X-inmatningsmetod). Möjliga värden är onthespot, overthespot, offthespot och root

--im <XIM-server>
    ange XIM-server

--noxim
    inaktivera XIM

--reverse
    speglar hela layouten på komponenter

--stylesheet
    <fil.qss> använder Qt stilmallen för programmets grafiska komponenter

EXEMPEL

kdesvn file:///sökväg/till/lokal/arbetskopia

kdesvn http://remote/svn/projekt/trunk

SE OCKSÅ

Fullständig användardokumentation är tillgänglig via KDE:s hjälpcentral. Det går också att skriva in webbadressen help:/kdesvn/ direkt i Konqueror, eller köra 'khelpcenter help:/kdesvn/' på kommandoraden.

UPPHOVSMÄN

    Rajko Albrecht <ral@alwins-world.de>